curl --request GET \
--url https://dev-public-api.openphone.dev/v1/messages \
--header 'Authorization: <api-key>'{
"data": [
{
"id": "AC123abc",
"to": [
"+15555555555"
],
"from": "+15555555555",
"text": "Hello, world!",
"phoneNumberId": "PN123abc",
"conversationId": "CN123abc",
"direction": "incoming",
"userId": "US123abc",
"status": "sent",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"media": [
{
"url": "https://example.com/image.png",
"type": "image/png"
}
]
}
],
"totalItems": 123,
"nextPageToken": "<string>"
}{
"message": "<string>",
"code": "0206400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "A2P Registration Not Approved",
"description": "A2P Registration Not Approved",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0200401",
"status": 401,
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0201402",
"status": 402,
"docs": "https://quo.com/docs",
"title": "Subscription Expired",
"description": "Your subscription has expired",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0204403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "A2P 10DLC Daily Message Cap Reached",
"description": "A2P 10DLC Daily limit reached. For help increasing this limit, visit https://support.quo.com/help/submit-a-request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0200404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0201500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}List messages
Retrieve a chronological list of messages exchanged between your Quo number and specified participants, with support for filtering and pagination.
curl --request GET \
--url https://dev-public-api.openphone.dev/v1/messages \
--header 'Authorization: <api-key>'{
"data": [
{
"id": "AC123abc",
"to": [
"+15555555555"
],
"from": "+15555555555",
"text": "Hello, world!",
"phoneNumberId": "PN123abc",
"conversationId": "CN123abc",
"direction": "incoming",
"userId": "US123abc",
"status": "sent",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"media": [
{
"url": "https://example.com/image.png",
"type": "image/png"
}
]
}
],
"totalItems": 123,
"nextPageToken": "<string>"
}{
"message": "<string>",
"code": "0206400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "A2P Registration Not Approved",
"description": "A2P Registration Not Approved",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0200401",
"status": 401,
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0201402",
"status": 402,
"docs": "https://quo.com/docs",
"title": "Subscription Expired",
"description": "Your subscription has expired",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0204403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "A2P 10DLC Daily Message Cap Reached",
"description": "A2P 10DLC Daily limit reached. For help increasing this limit, visit https://support.quo.com/help/submit-a-request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0200404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0201500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}Authorizations
Query Parameters
The unique identifier of the Quo number used to send or receive the messages. PhoneNumberID can be retrieved via the Get Phone Numbers endpoint.
^PN(.*)$"OP123abc"
The unique identifier of the user the message was sent from.
^US(.*)$"US123abc"
Array of phone numbers involved in the conversation, excluding your Quo number, in E.164 format. Passing a single participant will retrieve their conversation messages. Passing multiple participants will retrieve group conversation messages. Repeat the "participants" key for each phone number without brackets, e.g. "participants=%2B15555555555&participants=%2B15555555556".
10A phone number in E.164 format, including the country code.
^\+[1-9]\d{1,14}$"+15555555555"
DEPRECATED, use "createdAfter" or "createdBefore" instead. "since" currently behaves as "createdBefore" and will be removed in an upcoming release.
"2022-01-01T00:00:00Z"
Filter results to only include messages created after the specified date and time, in ISO 8601 format.
"2022-01-01T00:00:00Z"
Filter results to only include messages created before the specified date and time, in ISO 8601 format.
"2022-01-01T00:00:00Z"
Maximum number of results to return per page.
1 <= x <= 100Was this page helpful?